function [ result, T0, dt, NumSamples, NumFrames, ...
    ChanAData, ChanBData, DigitalInputData ] = cleverscope_get_samples( cscope, AcquireDef, nSamples, pChanAData, pChanBData, pDigData, suppress_status  )
%CLEVERSCOPE_GET_SAMPLES Perform an aquisition, and get samples from the
%acquirer.
if ~suppress_status
    disp('> Perform Acquisition command (1)')
end
CAUCommand = uint16(1); % 1 (Acquire)
[~, GotSamples, T0, dt, NumSamples, NumFrames, ...
ChanAData, ChanBData, DigitalInputData, ~, pErrorOut] = ... 
    CallCscope_CscopeControlDriver(cscope, 0, CAUCommand, 0, AcquireDef, nSamples, pChanAData, pChanBData, pDigData );

if ~suppress_status
    disp('> Poll and retreive samples ...')
end

pause(0.020) % wait 20ms
cnt=1;
fprintf('  ')
CAUCommand = uint16(3); % 3 (Wait for Samples)
while ((GotSamples ~= 1) && (cnt < 100))
[~, GotSamples, T0, dt, NumSamples, NumFrames, ...
    ChanAData, ChanBData, DigitalInputData, ~, pErrorOut] = ...
    CallCscope_CscopeControlDriver(cscope, 0, CAUCommand, 0, AcquireDef, nSamples, pChanAData, pChanBData, pDigData );
    if ~suppress_status
        fprintf('.%d');
        if mod(cnt,20) == 0
           fprintf('\n  ')
        end
    end
    cnt=cnt+1;
    pause(0.020) % wait 20ms
end
if ~suppress_status
    fprintf('\n')
    if (GotSamples)
        disp(['  Samples received:',num2str(NumSamples),' T0=',num2str(T0),' dt=',num2str(dt)])
    else
        disp(['  CAU failed to acquire samples. Last status value:',num2str(pCAUStatus),' Gotsamples=',num2str(GotSamples)])
    end;
end

result = GotSamples;

end

