function [ result ] = cleverscope_init( cscope, AcquireDef )
%CLEVERSCOPE_INIT Initialise the Cleverscope hardware

disp('******* Cscope: Initialise . . . . ')

disp('> CALL LVDLLStatus')
% Call LVDLL status to see if the DLL is ok:
[ status, pErrStr, pModule ] = CallCscope_LVDLLStatus(cscope);
disp(['  DLL Status=',num2str(status), ', Error string="', pErrStr,'"'])
% Call the cscope.CscopeControlDriver function:

disp('> CALL Initialise command(0)')

CAUCommand = uint16(0); % (0=Initialise)
AcquireDefinition.AcquireMode = uint32(3); % 3 = Stop mode (Init requires this to be set to 3)

% Call the DLL:
[~, ~, ~, ~, ~, ~, ~, ~, ~, pCAUStatus, pErrorOut] =  ...
    CallCscope_CscopeControlDriver('cscope', 0, CAUCommand, 0, AcquireDef, 0, 0, 0, 0 );

disp(['  Command=',num2str(CAUCommand),' CAUStatus=', num2str(pCAUStatus)])

result = (status==0);

end

