function [ result ] = cleverscope_plot_3d_results( T0, dt, NumSamples, NumFrames, ...
    ChanAData, ChanBData, DigitalInputData, suppress_status )
%CLEVERSCOPE_PLOT_3D_RESULTS Display the results
    if (NumSamples>0)
        [m,n]=size(ChanBData);
        min_cnt=min(NumSamples,m);
        for j=1:(min_cnt)
            x(j,1) = T0+(single(j)*dt);
        end
        plot3(x,ChanAData([1:min_cnt],1),ChanBData([1:min_cnt],1))
       
        title('Cleverscope Demonstration 3D Plot in Matlab','FontWeight','bold')
        xlabel('t (ms)')
        ylabel('Current (mA)')
        zlabel('Voltage (envy)')
        set(gcf,'Color',[0.3,0.7,0.2])
        grid on
        axis square
        
        result = 0;
    else
        result = 1;
        if ~suppress_status
            disp(['  Can not display plot (no samples received)'])
        end
    end

end

