function [ result ] = cleverscope_wait_for_init( cscope, AcquireDef )
%CLEVERSCOPE_WAIT_FOR_INIT Following the initialisation command earlier, 
% we wait here for the hardware to finish by polling the DLL for a status:

disp('> Waiting for Initialisation to complete . . . . ')
CAUCommand=uint16(6);
cnt=1;
fprintf('  ')
NotFinished = 1;
while (NotFinished) 
    pause(0.020); %20ms delay between polls
    % Poll the Cleverscope DLL for the status:
    [~, ~, ~, ~, ~, ~, ~, ~, ~, pCAUStatus, pErrorOut] = ...
        CallCscope_CscopeControlDriver(cscope, 0, CAUCommand, 0, AcquireDef, 0, 0, 0, 0 );
    % draw a period to show activity:
    NotFinished = ((pCAUStatus ~= 2) && (cnt < 100)); % Poll up to 100 times (~2 seconds)
    fprintf('.%d');
    if mod(cnt,20) == 0
       fprintf('\n  ')
    end
    cnt=cnt+1;
end

fprintf('\n')
if (pCAUStatus ~= 2)
    disp([' CAU failed to initialise. Last status value:',num2str(pCAUStatus)])
    result = 0;
else
    disp('  Initialisation OK.')
    result = 1;
end

end
